/*******************************************************************************
* Copyright(c) 2022 dongke All rights reserved. / Confidential
* 类的信息：
*		1.程序名称：
*		2.功能描述：抽屉 侧拉菜单
* 编辑履历：
*		作者				日期					版本				修改内容
*		admin		  2022-05-03	  1.00		   	客户管理
*******************************************************************************/
let app = getApp();
Component({
  /**
   * 组件的对外属性
   */
  properties: {
    show_p: {
      type: Boolean,
      default: false
    },
    searchForm: {
      type: Object,
      value: {}
    },
    searchFormNumber: {
      type: Number,
      default: 0
    }
  },
  options: {
    addGlobalClass: true,
    multipleSlots: true, //插槽
  },
  /**
   * 组件的初始数据
   */
  data: {
  },

  /**
   * 组件的方法列表
   */
  methods: {
    /** 侧拉菜单重置*/
    clearSearchForm(e) {
      this.triggerEvent('clearSearchForm')
    },
    /** 侧拉菜单确定*/
    doSearchData(e) {
      this.numberFilters()
      this.triggerEvent('doSearchData', {
        searchFormNumber: this.data.searchFormNumber
      })
    },
    /** 侧拉菜单关闭*/
    onClose(e) {
      this.triggerEvent('onClose')
    },

    // 计算筛选数量
    //判断 列表searchForm参数是否有value,并且是否有值 有值算做1个数量
    numberFilters() {
      let count = 0
      var obj = this.data.searchForm
      let arr = []
      for (let i = 0; i < Object.keys(obj).length; i++) {
        arr.push({ key: Object.keys(obj)[i], value: obj[Object.keys(obj)[i]] })
      }
      //为完善  问题  同一选项有俩个参数
      arr.forEach(res => {
          //如果需要更多条件自行添加
          if (res.value != [] && res.value != '' && res.value != undefined && res.value != null) {
            count++
          }
        })
      console.log('count', count)
      this.setData({
        searchFormNumber: count
      })
    }


  },


  attached() { }
})

function objToArr(model) {
  var arr = [];
  for (var key in model) {
    arr.push(key)
  };
  return arr;
}